# $Revision: 1.49 $, $Date: 2006/02/03 18:30:10 $
%include	/usr/lib/rpm/macros.perl
Summary:	Print filter for HP postscript, text, and other printers
Summary(pl):	Filtr wydruku HP postscriptu, tekstu i innych drukarek
Name:		ifhp
Version:	3.5.20
Release:	2
License:	GPL or Artistic
Vendor:		Astart Technologies, San Diego, CA 92123 http://www.astart.com/
Group:		Applications/System
Source0:	ftp://ftp.lprng.com/pub/LPRng/ifhp/%{name}-%{version}.tgz
# Source0-md5:	25b151b3adb953b571e6b0a7cc9937f3
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-trim_cmdline.patch
URL:		http://www.lprng.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	ghostscript
BuildRequires:	perl-Net-SNMP
BuildRequires:	perl-modules
BuildRequires:	rpm-perlprov
Requires:	/usr/bin/lpr
Obsoletes:	apsfilter
Obsoletes:	rhs-printfilters
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	        lpfiltersdir lpfilters
# only few scripts need it
%define		_noautoreq	'perl(Net::SNMP)'

%description
ifhp is a highly versatile print filter for BSD based print spoolers.
It can be configured to handle text, PostScript, PJL, PCL, and raster
printers, supports conversion from one format to another, and can be
used as a stand-alone print utility.

It is the primary supported print filter for the LPRng print spooler.

%description -l pl
ifhp jest wszechstronnym filtrem wydrukw dla opartych na BSD
zarzdcw wydruku. Moe by skonfigurowany do obsugi tekstu,
PostScriptu, PJL, PCL i drukarek rastrowych, obsuguje konwersj
midzy formatami, moe by uywany jako samodzielne narzdzie do
drukowania.

Jest to podstawowy filtr dla zarzdcy drukowania LPRng.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

rm -rf autom4te.cache

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%configure \
	--with-filterdir=%{_libdir}/%{lpfiltersdir} \
	--with-foomatic-rip=/usr/bin/foomatic-rip \
	--with-pagesize=a4
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/ifhp.conf.sample .

for f in $RPM_BUILD_ROOT%{_datadir}/locale/fr/LC_MESSAGES/ifhp.mo ; do
	[ "`file $f | sed -e 's/.*,//' -e 's/message.*//'`" -le 1 ] && rm -f $f
done
#%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

#%files -f %{name}.lang
%files
%defattr(644,root,root,755)
%doc README ifhp.conf.sample DOCS/*.{html,jpg}
# HOWTO/*.html
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/%{lpfiltersdir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ifhp.spec,v $
Revision 1.49  2006/02/03 18:30:10  baggins
- release 2
- use ifhp.conf from source tgz!

Revision 1.48  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.47  2005/01/09 21:19:52  qboosh
- updated to 3.5.20

Revision 1.46  2004/11/08 22:49:18  qboosh
- updated to 3.5.18

Revision 1.45  2004/03/07 20:42:21  qboosh
- updated to 3.5.17

Revision 1.44  2004/02/22 19:08:22  qboosh
- updated to 3.5.16

Revision 1.43  2004/01/31 18:25:26  undefine
- update to 3.5.15, BR: perl-Net-SNMP(is needed by compilation)

Revision 1.42  2003/12/14 00:35:07  qboosh
- updated to 3.5.14

Revision 1.41  2003/12/08 22:34:32  qboosh
- updated to 3.5.13, added additional scripts, use perlprov

Revision 1.40  2003/11/18 18:29:44  qboosh
- updated to 3.5.12, removed obsolete types patch

Revision 1.39  2003/10/06 20:39:14  qboosh
- up to 3.5.11
- updated ac_fixes patch
- added types patch to eliminate evil int/char* aliasing

Revision 1.38  2003/05/28 12:59:08  malekith
- massive attack: source-md5

Revision 1.37  2003/05/25 05:48:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/05/06 22:04:38  djrzulf
- added BR: ghoscript

Revision 1.35  2002/11/25 01:41:20  ankry
Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %%doc

Revision 1.34  2002/10/09 13:14:34  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.33  2002/08/18 12:10:18  blues
- one more license fix

Revision 1.32  2002/08/18 11:53:46  kloczek
- release 2.

Revision 1.31  2002/08/18 11:19:28  blues
license fix

Revision 1.30  2002/07/30 20:17:12  kloczek
- commented using %%find_lang (fr translation is empty).

Revision 1.29  2002/07/28 12:28:15  kloczek
- fix in %install.

Revision 1.28  2002/07/28 11:06:42  kloczek
- updated to 3.5.10,
- use new %doc,
- updated Soure url and URL.

Revision 1.27  2002/07/28 08:17:51  mkochano
- Release 3.
- Requires: lpr -> Requires: /usr/bin/lpr.

Revision 1.26  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.25  2002/05/21 23:13:36  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/04/25 16:36:08  arturs
fixed a small typo

Revision 1.23  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/10/10 15:10:07  qboosh
- pl translations, BuildRequires: autoconf,automake

Revision 1.20  2001/03/24 23:57:37  zagrodzki
- added trim_cmdline patch
- release 2

Revision 1.19  2001/01/02 06:12:12  kloczek
- updated to 3.4.4.

Revision 1.18  2000/11/29 05:46:10  kloczek
- updated to 3.4.3.

Revision 1.17  2000/11/03 04:51:33  kloczek
- added ac_fixes fith remove few silly things from autoconf,
- added using %%find_lang macro,
- do not compress htm %doc.

Revision 1.16  2000/11/02 16:06:01  kloczek
- updated to 2.4.2,
- changed default page format in pcl_normalpage from letter to a4 in default
  ifhp.conf.

Revision 1.15  2000/10/16 16:57:44  kloczek
- adapterized, added using new rpm automation and updated URL.

Revision 1.14  2000/10/16 15:40:52  zagrodzki
- updated to 3.4.1

Revision 1.13  2000/08/22 18:21:02  zagrodzki
- s/mv -f/install/

Revision 1.12  2000/08/22 17:30:40  zagrodzki
- Obsoletes: rhs-printfilters
- Obsoletes: apsfilter
- release 5

Revision 1.11  2000/08/22 17:07:23  zagrodzki
- updated releases
- trofftops moved to grof-perl package
- removed rhs-printfilter from groff

Revision 1.10  2000/08/22 16:51:10  zagrodzki
- modified trofftops

Revision 1.9  2000/08/22 16:15:20  zagrodzki
- added better default config (more file conversion rules)
- added trofftops (for printing manuals)
- release 2

Revision 1.8  2000/08/20 15:42:47  kloczek
- updated to 3.3.21.

Revision 1.7  2000/08/19 14:58:37  kloczek
- updated to 3.3.20.

Revision 1.6  2000/07/22 03:09:30  kloczek
- updated to 3.3.19,
- fixed Source url.

Revision 1.5  2000/07/21 19:02:40  kloczek
- release 2.

Revision 1.4  2000/07/21 17:37:56  mis
- changed LPRng req to lpr (provided by LPRng)

Revision 1.3  2000/07/21 17:25:55  mis
- changed filters location to %{_libdir}/lpfilters (according to yesterday
  LPRng's changes)

Revision 1.2  2000/07/17 02:21:35  kloczek
- cosmetics.

Revision 1.1  2000/07/16 10:18:16  zagrodzki
- changed spec name
- updated to 3.3.18
- completely rewritten
